<?php

$this->start_controls_section(
    'content_section_three',
    [
        'label' => __('Gallery Content', 'ostech-addon'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
        'condition' => [
            'layout_type' => 'layout_three'
        ]
    ]
);


$gallery_three = new \Elementor\Repeater();

$gallery_three->add_control(
    'image',
    [
        'label' => __('Image', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
    ]
);

$gallery_three->add_control(
    'icon',
    [
        'label' => __('Check Icon', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
            'value' => 'gallery-one__card__icon',
            'library' => 'font-awesome',
        ],
    ]
);

$this->add_control(
    'gallery_list_three',
    [
        'label' => __('Gallery', 'ostech-addon'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $gallery_three->get_controls(),
        'prevent_empty' => false,
    ]
);

$this->end_controls_section();
